# This file created by conda-build 3.15.1
# meta.yaml template originally from:
# C:\ci\containers\000029knj40\tmp\build\80754af9\rsync-recipes\gevent-1.3.7-python_2.7-c_compiler_vs2008-on-winbuilder, last modified Mon Oct 15 15:31:20 2018
# ------------------------------------------------

package:
    name: gevent
    version: 1.3.7
source:
    fn: gevent-1.3.7.tar.gz
    patches:
        - 0001-Allow-include-flags-to-be-present-in-CFLAGS.patch
    sha256: 3f06f4802824c577272960df003a304ce95b3e82eea01dad2637cc8609c80e2c
    url: https://pypi.io/packages/source/g/gevent/gevent-1.3.7.tar.gz
build:
    number: '0'
    script: python setup.py install --single-version-externally-managed --record record.txt
    string: py27h0c8e037_0
requirements:
    build:
        - vs2008_win-64 9.00.30729.1 hb7fc0b5_1
    host:
        - certifi 2018.8.24 py27_1
        - cffi 1.11.5 py27hc64555f_1
        - pycparser 2.19 py27_0
        - python 2.7.15 he216670_0
        - setuptools 40.4.3 py27_0
        - vc 9 h7299396_1
        - vs2008_runtime 9.00.30729.1 hfaea7d5_1
        - wincertstore 0.2 py27hf04cefb_0
    run:
        - cffi >=1.11.5
        - greenlet >=0.4.13
        - python >=2.7,<2.8.0a0
        - vc 9.*
test:
    imports:
        - gevent
        - gevent.libev
about:
    description: 'Gevent uses greenlet to provide a high-level synchronous API on
        top of the libev event loop.

        '
    dev_url: https://github.com/gevent/gevent
    doc_url: http://www.gevent.org/contents.html
    home: http://www.gevent.org/
    license: MIT
    license_family: MIT
    license_file: LICENSE
    summary: Coroutine-based network library
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - nehaljwani
